/*
 * [概要]
 * 
 * =====================================================================================
 * [履歴]
 * 2014-05-09 n.koseki 新規作成
 * 
 * =====================================================================================
 * 
 */
package org.dyndns.nuda.mapper;

import java.util.Map;

/**
 * 整形済みSQL文字列を含むJavaBeansです
 * 
 * @author nkoseki
 * 
 */
public class SQLInterfaceBean {
	
	/**
	 * クエリ識別ID
	 */
	public String				id		= "";
	
	/**
	 * クエリタイプ
	 */
	public String				type	= "";
	
	/**
	 * SQLステートメント本体
	 */
	public String				sqlStr	= "";
	
	/**
	 * プレースホルダとその順番に対応するプレースホルダ名
	 */
	public Map<Integer, String>	map		= null;
	
	@Override
	public String toString() {
		return "InnerBean [id="
			+ this.id
			+ ", type="
			+ this.type
			+ ", sqlStr="
			+ this.sqlStr
			+ ", map="
			+ this.map
			+ "]";
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((this.id == null) ? 0 : this.id.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(final Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (this.getClass() != obj.getClass()) {
			return false;
		}
		SQLInterfaceBean other = (SQLInterfaceBean) obj;
		if (this.id == null || other.id == null) {
			return false;
		} else if (!this.id.equals(other.id)) {
			return false;
		}
		if (this.id != other.id) {
			return false;
		}
		if (this.sqlStr != other.sqlStr) {
			return false;
		}
		return true;
	}
	
}
